打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

RIA Wiki 已更新到 1.41!部分 CSS 在新版本下可能有不同的表现,请编辑者注意检查和修改。 目前wiki关闭了自行注册账号的功能,如需注册账号,请查阅Help:注册账号

模块:Navbox/styles.css:修订间差异

来自RIA | Wiki
Aunst留言 | 贡献
bugfix
Aunst留言 | 贡献
去掉navbox类里的-s
 
(未显示同一用户的2个中间版本)
第3行: 第3行:
  *
  *
  * @source https://en.wikipedia.org/wiki/Module:Navbox/styles.css
  * @source https://en.wikipedia.org/wiki/Module:Navbox/styles.css
  * @revision 2021-12-21
  * @revision 2026-03-24
*/
*/
.navbox {
.navbox {
  box-sizing: border-box;
   border: 1px solid rgb(162, 169, 177);
  clear: both;
   padding: 0.25em;
  width: 100%;
  margin: 1em auto 0;
  /* Prevent preceding content from clinging to navboxes */
   border: 1px solid #a2a9b1;
   padding: 1px;
  text-align: center;
  font-size: 0.875em;
}
}


.navbox .navbox {
.navbox, .navbox-subgroup {
   margin-top: 0;
   display: flex;
   /* No top margin for nested navboxes */
  flex-direction: column;
   gap: 2px;
}
.navbox .navbox-title, .navbox-subgroup .navbox-title {
  text-align: left;
}
}


.navbox + .navbox,
.navbox + .component-templatestyles + .navbox {
.navbox + .component-template_styles + .navbox {
   margin-top: -1px;
   margin-top: -1px;
  /* Single pixel border between adjacent navboxes */
}
}


.navbox-inner,
.navbox-title {
.navbox-subgroup {
  padding: 0.25em calc(0.5em + 0.5vw);
   width: 100%;
}
.navbox-title-text {
   font-weight: 700;
}
.navbox-body {
  display: flex;
  flex-direction: column;
  flex: 1 0 auto;
  gap: 2px;
}
}
.navbox-group,
.navbox-title,
.navbox-abovebelow {
.navbox-abovebelow {
  padding: 0.25em 1em;
  line-height: 1.5em;
   text-align: center;
   text-align: center;
  padding: 0.25em calc(0.5em + 0.5vw);
}
.navbox-ci {
  display: flex;
  gap: 2px;
}
.navbox-image {
  flex: 0 0 auto;
  display: none;
  padding: 0 0.25em;
}
.navbox-lists {
  flex: 1 1 auto;
  display: grid;
  grid-template-columns: 1fr;
  gap: 2px;
}
}
.navbox-group {
.navbox-group {
   white-space: nowrap;
   padding: 0.25em calc(0.5em + 0.5vw);
   text-align: right;
   font-weight: 700;
}
}
.navbox,
.navbox-subgroup {
  background-color: #fdfdfd;
}
.navbox-list {
.navbox-list {
   line-height: 1.5em;
   padding: 0.25em calc(1em + 0.5vw);
   border-color: #fdfdfd;
   text-align: center;
  /* Must match background color */
}
}
.navbox-list-with-group {
.navbox-list-with-group {
   text-align: left;
   text-align: left;
  border-left-width: 2px;
  border-left-style: solid;
}
}
 
.navbox-list-has-subgroup.navbox-list {
/* cell spacing for navbox cells */
   padding: initial;
/* Borders above 2nd, 3rd, etc. rows */
/* TODO: figure out how to replace tr as structure;
* with div structure it should be just a matter of first-child */
tr + tr > .navbox-abovebelow,
tr + tr > .navbox-group,
tr + tr > .navbox-image,
tr + tr > .navbox-list {
   border-top: 2px solid #fdfdfd;
  /* Must match background color */
}
}


.navbox-title {
@media (min-width: 480px) {
  background-color: #ccccff;
  .navbox .navbar {
   /* Level 1 color */
    float: left;
    text-align: left;
  }
  .navbox-title-text {
    margin: 0 5em;
    text-align: center;
   }
}
}
 
@media (min-width: 720px) {
.navbox-abovebelow,
  .navbox-image {
.navbox-group,
    display: flex;
.navbox-subgroup .navbox-title {
    align-items: center;
  background-color: #ddddff;
    justify-content: center;
   /* Level 2 color */
  }
  .navbox-lists {
    grid-template-columns: auto 1fr;
  }
  .navbox-group {
    padding: 0.25em calc(0.5em + 0.5vw);
  }
  .navbox-list {
    padding: 0.25em;
  }
  .navbox-list:not(.navbox-list-with-group) {
    grid-column: 1/3;
   }
}
}
 
@media screen {
.navbox-subgroup .navbox-group,
  .navbox {
.navbox-subgroup .navbox-abovebelow {
    border-color: rgb(162, 169, 177);
  background-color: #e6e6ff;
    background-color: rgb(248, 249, 250);
   /* Level 3 color */
  }
}
  .navbox-title {
 
    background-color: rgb(200, 200, 251);
.navbox-even {
  }
  background-color: #f7f7f7;
  .navbox-abovebelow, .navbox-group, .navbox-subgroup .navbox-title {
}
    background-color: rgb(216, 216, 255);
 
  }
.navbox-odd {
  .navbox-subgroup .navbox-abovebelow, .navbox-subgroup .navbox-group {
  background-color: transparent;
    background-color: rgb(234, 235, 255);
}
   }
 
  .navbox-even {
/* TODO: figure out how to remove reliance on td as structure */
    background-color: rgba(148, 148, 252, 0.05);
.navbox .hlist td dl,
  }
.navbox .hlist td ol,
  html.skin-theme-clientpref-night .navbox {
.navbox .hlist td ul,
    border-color: rgba(255, 255, 255, 0.05);
.navbox td.hlist dl,
    background-color: rgb(32, 33, 34);
.navbox td.hlist ol,
  }
.navbox td.hlist ul {
  html.skin-theme-clientpref-night .navbox-title {
  padding: 0.125em 0;
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-night .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-group, html.skin-theme-clientpref-night .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-night .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
  }
  html.skin-theme-clientpref-night.citizen-feature-pure-black-clientpref-1 .navbox {
    background-color: black;
  }
}
}
 
@media screen and (prefers-color-scheme: dark) {
.navbox .navbar {
  html.skin-theme-clientpref-os .navbox {
  display: block;
    border-color: rgba(255, 255, 255, 0.05);
  font-size: 100%;
    background-color: rgb(32, 33, 34);
}
  }
 
  html.skin-theme-clientpref-os .navbox-title {
.navbox-title .navbar {
    background-color: rgb(43, 40, 79);
  float: left;
   }
   text-align: left;
   html.skin-theme-clientpref-os .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-group, html.skin-theme-clientpref-os .navbox-subgroup .navbox-title {
   margin-right: 0.5em;
    background-color: rgb(31, 27, 65);
}
  }
 
  html.skin-theme-clientpref-os .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-subgroup .navbox-group {
/* Minerva Neue skin styles
    background-color: rgb(20, 15, 52);
* Minerva Neue 皮肤样式 */
  }
 
  html.skin-theme-clientpref-os.citizen-feature-pure-black-clientpref-1 .navbox {
/* 强制显示导航框
     background-color: black;
* https://github.com/wikimedia/mediawiki-skins-MinervaNeue/blob/REL1_39/resources/skins.minerva.base.styles/content/hacks.less
* 的临时修复
* WMF,你坏事做尽 */
body.skin-minerva .navbox {
  display: block;
}
 
body.skin-minerva .navbox > table,
body.skin-minerva .navbox-subgroup {
  margin: 0;
}
 
/* 在小屏设备中隐藏导航框图像 */
@media screen and (max-width: 767px) {
  .navbox-image {
     display: none;
   }
   }
}
}

2026年3月24日 (二) 19:46的最新版本

/* Navbox styles
 * 导航盒样式
 *
 * @source https://en.wikipedia.org/wiki/Module:Navbox/styles.css
 * @revision 2026-03-24
*/
.navbox {
  border: 1px solid rgb(162, 169, 177);
  padding: 0.25em;
}

.navbox, .navbox-subgroup {
  display: flex;
  flex-direction: column;
  gap: 2px;
}
.navbox .navbox-title, .navbox-subgroup .navbox-title {
  text-align: left;
}

.navbox + .component-templatestyles + .navbox {
  margin-top: -1px;
}

.navbox-title {
  padding: 0.25em calc(0.5em + 0.5vw);
}
.navbox-title-text {
  font-weight: 700;
}
.navbox-body {
  display: flex;
  flex-direction: column;
  flex: 1 0 auto;
  gap: 2px;
}
.navbox-abovebelow {
  text-align: center;
  padding: 0.25em calc(0.5em + 0.5vw);
}
.navbox-ci {
  display: flex;
  gap: 2px;
}
.navbox-image {
  flex: 0 0 auto;
  display: none;
  padding: 0 0.25em;
}
.navbox-lists {
  flex: 1 1 auto;
  display: grid;
  grid-template-columns: 1fr;
  gap: 2px;
}
.navbox-group {
  padding: 0.25em calc(0.5em + 0.5vw);
  font-weight: 700;
}
.navbox-list {
  padding: 0.25em calc(1em + 0.5vw);
  text-align: center;
}
.navbox-list-with-group {
  text-align: left;
}
.navbox-list-has-subgroup.navbox-list {
  padding: initial;
}

@media (min-width: 480px) {
  .navbox .navbar {
    float: left;
    text-align: left;
  }
  .navbox-title-text {
    margin: 0 5em;
    text-align: center;
  }
}
@media (min-width: 720px) {
  .navbox-image {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .navbox-lists {
    grid-template-columns: auto 1fr;
  }
  .navbox-group {
    padding: 0.25em calc(0.5em + 0.5vw);
  }
  .navbox-list {
    padding: 0.25em;
  }
  .navbox-list:not(.navbox-list-with-group) {
    grid-column: 1/3;
  }
}
@media screen {
  .navbox {
    border-color: rgb(162, 169, 177);
    background-color: rgb(248, 249, 250);
  }
  .navbox-title {
    background-color: rgb(200, 200, 251);
  }
  .navbox-abovebelow, .navbox-group, .navbox-subgroup .navbox-title {
    background-color: rgb(216, 216, 255);
  }
  .navbox-subgroup .navbox-abovebelow, .navbox-subgroup .navbox-group {
    background-color: rgb(234, 235, 255);
  }
  .navbox-even {
    background-color: rgba(148, 148, 252, 0.05);
  }
  html.skin-theme-clientpref-night .navbox {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-night .navbox-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-night .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-group, html.skin-theme-clientpref-night .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-night .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
  }
  html.skin-theme-clientpref-night.citizen-feature-pure-black-clientpref-1 .navbox {
    background-color: black;
  }
}
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .navbox {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-os .navbox-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-os .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-group, html.skin-theme-clientpref-os .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-os .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
  }
  html.skin-theme-clientpref-os.citizen-feature-pure-black-clientpref-1 .navbox {
    background-color: black;
  }
}